Page MenuHomePhabricator

Scap: TypeError: error: (not all arguments converted during string formatting); format string: (Passed unrecognized git_binary_manager {}); arguments: ((u'fat',))
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/software/gerrit : masterFix gerrit support for latest scap version
wikidata/query/deploy : masterScap: git_fat -> git_binary_manager
search/MjoLniR/deploy : masterScap: git_fat -> git_binary_manager
operations/software/cassandra-twcs : masterScap: git_fat -> git_binary_manager
operations/software/logstash-logback-encoder : masterScap: git_fat -> git_binary_manager
operations/software/cassandra-metrics-collector : masterScap: git_fat -> git_binary_manager
operations/software/prometheus_jmx_exporter : masterScap: git_fat -> git_binary_manager
operations/software/logstash/plugins : masterScap: git_fat -> git_binary_manager

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2018, 9:41 PM
thcipriani triaged this task as Unbreak Now! priority.Jan 14 2018, 10:11 PM

This error is currently in scap version 3.7.5-1 that was released to production on Friday and that means that any repo currently using the:

git_fat: True

Line in its scap.cfg will find that git-fat does not rehydrate files. The work-around for individual repos is to change the git_fat: True line to:

git_binary_manager: git-fat

Patches for all affected repos incoming, also D945 fixes this inside scap and I have pushed tags for a new scap release for version 3.7.6-1 (T127762#3899642) whenever scap 3.7.6-1 is released this should no longer be an issue. The configuration change above is a new method of specifying git binary file managers (in future it will also support git-lfs) and should be a valid workaround in the mean-time.

Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJan 14 2018, 10:11 PM

Change 404221 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/software/gerrit@master] Fix gerrit support for latest scap version

https://gerrit.wikimedia.org/r/404221

Change 404222 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/logstash/plugins@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404222

Change 404223 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[wikidata/query/deploy@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404223

Change 404224 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/prometheus_jmx_exporter@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404224

Change 404225 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[search/MjoLniR/deploy@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404225

Change 404226 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/cassandra-metrics-collector@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404226

Change 404227 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/logstash-logback-encoder@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404227

Change 404228 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/cassandra-twcs@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404228

thcipriani lowered the priority of this task from Unbreak Now! to High.Jan 14 2018, 11:52 PM

Current status is that repo owners depending on git_fat either have to wait for scap 3.7.6-1 to be released, or merge the patch I made against their repository from this ticket in order to deploy.

Lowering from UBN to High as this no longer prevents deployments, but is still a serious issue.

demon added a comment.Jan 15 2018, 6:25 PM

This kinda sucks because we'll need to follow-up with another fix when D921 lands. D917 shouldn't have gone out without the follow-up :(

Change 404225 merged by DCausse:
[search/MjoLniR/deploy@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404225

Change 404223 merged by Smalyshev:
[wikidata/query/deploy@master] Scap: git_fat -> git_binary_manager

https://gerrit.wikimedia.org/r/404223

thcipriani lowered the priority of this task from High to Low.Jan 17 2018, 4:36 PM

Leaving this task open for all the git_fat -> git_binary_manager changes I made, but since the new version of scap was released yesterday, that doesn't need to happen as desperately anymore.

Change 404221 merged by Chad:
[operations/software/gerrit@master] Fix gerrit support for latest scap version

https://gerrit.wikimedia.org/r/404221

can this be closed, then?

thcipriani closed this task as Resolved.Jul 11 2018, 4:51 PM
thcipriani claimed this task.

can this be closed, then?

yep